//? cpmdim.cpp
//? C+- by Ulrich Mutze. Status of work 2018-12-01.
//? Copyright (c) 2016 Ulrich Mutze
//? contact: see contact-info at www.ulrichmutze.de
//? 
//? This program is free software: you can redistribute it and/or
//? modify it under the terms of the GNU General Public License as
//? published by the Free Software Foundation, either version 3 of
//? the License, or (at your option) any later version.
//? 
//? This program is distributed in the hope that it will be useful,
//? but WITHOUT ANY WARRANTY; without even the implied warranty of
//? MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//? GNU General Public License <http://www.gnu.org/licenses/> for 
//? more details.


#include <cpmrmateig.h>
#include <cpmalgorithms.h>
#include <cpmsmoothlocalinterpol.h>
#include <cpmdim.h>

using CpmRoot::Z;

namespace CpmDim2{

const Z Vec::dimension=2;
const Z AxVec::dimension=1;

#include <cpmdim2cpp.h>
#include <cpmdimxcpp.h> // common part of implementation

}

namespace CpmDim3{

const Z Vec::dimension=3;
const Z AxVec::dimension=3;

#include <cpmdim3cpp.h>
#include <cpmdimxcpp.h> // common part of implementation

}
