//? vqm2app2.h
//? C+- by Ulrich Mutze. Status of work 2018-12-01.
//? Copyright (c) 2016 Ulrich Mutze
//? contact: see contact-info at www.ulrichmutze.de
//? 
//? This program is free software: you can redistribute it and/or
//? modify it under the terms of the GNU General Public License as
//? published by the Free Software Foundation, either version 3 of
//? the License, or (at your option) any later version.
//? 
//? This program is distributed in the hope that it will be useful,
//? but WITHOUT ANY WARRANTY; without even the implied warranty of
//? MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//? GNU General Public License <http://www.gnu.org/licenses/> for 
//? more details.


#ifndef VQM2APPL2_H_
#define VQM2APPL2_H_
/**********************************************************
*   Author: Ulrich Mutze                                  * 
*   Copyright (c) 2001 Ulrich Mutze                       *
*   All rights reserved                                   *
*                                                         *
***********************************************************/
// see file vqm1app1.h for description.
 
#include <cpminifilebasapp.h>

namespace CpmVQM2{

using CpmArrays::V;
using CpmRoot::Word;
using CpmApplication::IniFileBasedApplication;

class App11: public IniFileBasedApplication {
public:
   App11(const Word& w):
      IniFileBasedApplication(w){setTitle("app11");}
   void doTheWork();
};

class App12: public IniFileBasedApplication {
public:
   App12(const Word& w):
      IniFileBasedApplication(w){setTitle("app12");}
   void doTheWork();
};

class App13: public IniFileBasedApplication {
public:
   App13(const Word& w):
      IniFileBasedApplication(w){setTitle("app13");}
   void doTheWork();
};

class App14: public IniFileBasedApplication {
public:
   App14(const Word& w):
      IniFileBasedApplication(w){setTitle("app14");}
   void doTheWork();
};

class App15: public IniFileBasedApplication {
public:
   App15(const Word& w):
      IniFileBasedApplication(w){setTitle("app15");}
   void doTheWork();
};

class App16: public IniFileBasedApplication {
public:
   App16(const Word& w):
      IniFileBasedApplication(w){setTitle("app16");}
   void doTheWork();
};

} // namespace

#endif
