//? cpmpardefwrc.h
//? C+- by Ulrich Mutze. Status of work 2018-12-01.
//? Copyright (c) 2016 Ulrich Mutze
//? contact: see contact-info at www.ulrichmutze.de
//? 
//? This program is free software: you can redistribute it and/or
//? modify it under the terms of the GNU General Public License as
//? published by the Free Software Foundation, either version 3 of
//? the License, or (at your option) any later version.
//? 
//? This program is distributed in the hope that it will be useful,
//? but WITHOUT ANY WARRANTY; without even the implied warranty of
//? MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//? GNU General Public License <http://www.gnu.org/licenses/> for 
//? more details.


#ifndef CPM_PARDEF_H_
#define CPM_PARDEF_H_

/*************************************************************************
   Description: This file contains a macro which defines  
   the kind of particles to be used in systems constructed as 
   instances of class Sys2 and class RigBodyDyn which are
   used in program PaLa.
*************************************************************************/
// See file cpmdefinitionswrc.h for the meaning of the 'wrc'-appendix.

//#define CPM_POINT_PARTICLES
   // If this is defined, instead of polyspherical particles
   // simpel spherical particles are used. 
   // The name point particles is a bit misleading since if
   // elastic repulsion of these particles is enabled, this gives
   // the particles a radius. They are point-like, however, since they
   // have
   // no rotational inertia.
   // Not todefine this is the normal mode of the PaLa program.

#endif 
