//? cpmsys2.h
//? C+- by Ulrich Mutze. Status of work 2018-12-01.
//? Copyright (c) 2016 Ulrich Mutze
//? contact: see contact-info at www.ulrichmutze.de
//? 
//? This program is free software: you can redistribute it and/or
//? modify it under the terms of the GNU General Public License as
//? published by the Free Software Foundation, either version 3 of
//? the License, or (at your option) any later version.
//? 
//? This program is distributed in the hope that it will be useful,
//? but WITHOUT ANY WARRANTY; without even the implied warranty of
//? MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//? GNU General Public License <http://www.gnu.org/licenses/> for 
//? more details.


#ifndef CPM_SYS2_H_
#define CPM_SYS2_H_
/*
   Description: see sys2x.h
*/
#include <cpmpardynsys.h>
#include <cpmsys2dat.h>
#include <cpmextractor.h>
// notice that the topic is Pala2, i.e. the second 'menu item'
// of program PaLa. The dimension number is appended as _2 or
// _3

#if defined(CPM_DIMDEF2)

#define CPM_DIM CpmDim2
#define CPM_CAMERA CpmCamera2
#define CPM_RIGID_BODY CpmRigidBody2
#define CPM_PHYSICS CpmPhysics2
#define CPM_TOP CpmPala2_2

#include <cpmsys2x.h>

#undef CPM_DIM
#undef CPM_CAMERA
#undef CPM_PHYSICS
#undef CPM_RIGID_BODY
#undef CPM_TOP

#endif // CPM_DIMDEF2

#if defined(CPM_DIMDEF3)

#define CPM_DIM CpmDim3
#define CPM_CAMERA CpmCamera3
#define CPM_RIGID_BODY CpmRigidBody3
#define CPM_PHYSICS CpmPhysics3
#define CPM_TOP CpmPala2_3

#include <cpmsys2x.h>

#undef CPM_DIM
#undef CPM_CAMERA
#undef CPM_PHYSICS
#undef CPM_RIGID_BODY
#undef CPM_TOP

#endif // CPM_DIMDEF3

#endif // guard
